use_pid_dir
# linkbeat_use_polling
global_defs {
  vrrp_version 3
  vrrp_ipsets
  vrrp_no_swap
  checker_no_swap
  enable_dbus
  enable_script_security
}

vrrp_script dns_check {
  script "/usr/bin/dig @localhost google.com"
  timeout 2
  rise 1
  fall 1
  init_fail
}

vrrp_instance {{ vrrp_instances[0].name }} {
  state {{ vrrp_instances[0].state }}
  interface eth0
  virtual_router_id 1
  priority {{ vrrp_instances[0].priority }}
  virtual_ipaddress {
    {{ vrrp_instances[0].ip }} dev eth0 label eth0:1
  }
  # promote_secondaries
  track_script {
    dns_check
  }
}

vrrp_instance {{ vrrp_instances[1].name }} {
  state {{ vrrp_instances[1].state }}
  interface eth0
  virtual_router_id 2
  priority {{ vrrp_instances[1].priority }}
  virtual_ipaddress {
    {{ vrrp_instances[1].ip }} dev eth0 label eth0:2
  }
  # promote_secondaries
  track_script {
    dns_check
  }
}